@import url("https://fonts.googleapis.com/css2?family=Josefin+Sans:ital,wght@0,100..700;1,100..700&family=Manrope:wght@200..800&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

body {
  font-family: "Poppins", sans-serif;
  background-image: linear-gradient(to bottom, #000000, #040838);
  color: #ffffff;
}

* {
  margin: 0;
  padding: 0;
}

a {
  text-decoration: none;
  color: #fff;
}

.transition-container {
  animation: fade-in 0.5s ease-out;
}

.fade-in-text {
  opacity: 0;
  transform: translateY(20px);
  transition:
    opacity 3s ease,
    transform 3s ease;
}

.fade-in-text.visible {
  opacity: 1;
  transform: translateY(0);
}

@keyframes fade-in {
  from {
    opacity: 0;
    transform: translateY(20px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.fade-out {
  animation: fade-out 0.5s ease-in forwards;
}

@keyframes fade-out {
  from {
    opacity: 1;
    transform: translateY(0);
  }
  to {
    opacity: 0;
    transform: translateY(-20px);
  }
}
